Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data
Interface KeyedValue

All Superinterfaces:
  Value

All Known Subinterfaces:
  KeyedValueDataset

All Known Implementing Classes:
  DefaultKeyedValue, DefaultKeyedValueDataset

    public interface KeyedValue

extends Value

A (key, value) pair.

See Also:
  `DefaultKeyedValue`

Method Summary
`java.lang.Comparable` | `getKey()` Returns the key associated with the value.

Methods inherited from interface org.jfree.data.Value
`getValue`

Method Detail

### getKey

    java.lang.Comparable getKey()

  Returns the key associated with the value. The key returned by this method should be immutable.

  Returns:
    The key (never `null`).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.